using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 产品数据
    /// </summary>
    public class ProductItem
    {
        public ProductItem()
        {
            this.ProductTypes = new List<InProductType>();
        }
        /// <summary>
        /// 产品Id
        /// </summary>
        [JsonProperty("productId")]
        public string Id { get; set; }
        /// <summary>
        /// 生产商id
        /// </summary>
        [JsonProperty("venderId")]
        public string ManufacturerId { get; set; }
        /// <summary>
        /// 品牌id
        /// </summary>
        [JsonProperty("brandId")]
        public string BrandId { get; set; }
        /// <summary>
        /// 产品名称
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }
        /// <summary>
        /// 设备族编号
        /// </summary>
        [JsonProperty("eqFamily")]
        public string FamilyCode { get; set; }
        /// <summary>
        /// 产品类型信息
        /// </summary>
        [JsonProperty("specifications")]
        public List<InProductType> ProductTypes { get; set; }
    }
    /// <summary>
    /// 关联产品类型信息
    /// </summary>
    public class InProductType
    {
        [JsonProperty("specificationId")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
    }
}
